
a {
    cursor: pointer;
}


.settings-header-container {
    height: 56px;
    flex: 0 0 56px;
    border-bottom: 0;
    width: 100%;
    z-index: 13;
    position: sticky;
    background: var(--white);
    box-shadow: 0 2px 4px -1px rgba(7,14,35,.08);

}

.settings-header {
    width: 100%;
    display: flex;
    position: relative;
    max-width: 1280px;
    margin: 0 auto;
    height: 56px;
    flex: 0 0 56px;
} 

.settings-header-logo {
    width: 240px;
    height: 100%;
    cursor: pointer;
    background: var(--white);
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 2.5rem;
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    color: var(--text-900);
}

.settings-header-buttons {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    padding: 0 1rem 0 1rem;
}

.settings-header-menu {
    display: flex;
    align-items: center;
    transition: all .15s ease;
    gap: 0.75rem;
}

.loader {
    display: flex;
    align-items: center;
  }
  
  .bar {
    display: inline-block;
    width: 3px;
    height: 20px;
    background-color: rgba(255, 255, 255, .5);
    border-radius: 10px;
    animation: scale-up4 1s linear infinite;
  }
  
  .bar:nth-child(2) {
    height: 20px;
    margin: 0 5px;
    animation-delay: .25s;
  }
  
  .bar:nth-child(3) {
    animation-delay: .5s;
  }
  
  @keyframes scale-up4 {
    20% {
      background-color: #ffff;
      transform: scaleY(1.5);
    }
  
    40% {
      transform: scaleY(1);
    }
  }

  .settings-screen {
    margin: 1.5rem 0;
    display: flex;
    justify-content: space-between;
  }

  .settings-sidebar-wrapper {
    width: 20%;
    padding-right: 1.5rem;
    border-right: 1px solid var(--text-100);
  }

  .settings-sidebar {
    padding-bottom: 1rem;
    margin-bottom: 0.5rem;
  }

  .settings-sidebar-title {
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 16px;
    color: var(--text-400);
    padding: 0.5rem 0.75rem;
}

.settings-sidebar-body {
    display: flex;
    flex-direction: column;
    line-height: 1rem;
}

.settings-sidebar-body a.active {
    background: var(--text-100);
    color: var(--text-900) !important;
    border-radius: 0.5rem;
    padding: 0.5rem 0.75rem;
}
.settings-sidebar-body a {
    display: flex;
    padding: 0.5rem 0.75rem;
    color: var(--text-500) !important;
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    align-items: center;
}

.settings-sidebar-body a svg {
    margin-right: 0.75rem;
}

.settings-content-wrapper {
    width: calc(80% - 1.5rem);
}

.settings-screen form {
    margin-bottom: 0 !important;
}
.settings-content {
    padding: 1.25rem;
    background: var(--white);
    border-radius: 0.5rem;
    position: relative;
    width: 100%;
    box-shadow: 0 1px 3px rgba(7,14,35,.06), 0 2px 8px -1px rgba(7,14,35,.05);
}

.settings-content-title {
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 17px;
    color: var(--text-900);
    margin-bottom: 1.5rem;
}

.settings-content-subtitle {
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 17px;
    color: var(--text-500);
    margin-bottom: 1.5rem;
}

.settings-page-text {
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 17px;
    color: var(--text-800);
    margin-bottom: 0.7rem;
}

.settings-page-subtext {
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 17px;
    color: var(--text-500);
    margin-bottom: 0.7rem;
}

.plan-days {
    font-weight: 600;
    color: var(--dark-green);
}
.plan-type {
    font-weight: 600;
    color: var(--text-900);
}

.settings-page-footer {
    border-top: 1px solid var(--text-100);
    padding-top: 1rem;
}

.active-acc-card {
    width: 45%;
}

.act-staff-name {
    font-size: 14px;
    font-weight: 600;
    color: var(--text-800);
}

.act-staff-status {
    font-size: 12px;
    color: var(--dark-green);

}

.act-staff-contact {
    font-size: 13px;
    color: var(--text-600);
}

.act-staff-date {
    font-size: 12px;
    color: var(--text-400);
}

.act-staff-more {
    top: 5px;
    right: 10px;
}

.noti-badge-wrap {
    right: 10px;
    top: 10px;
}

.noti-sender-mobile {
    border-top:  1px solid var(--text-200);
}

.switcher {
    width: 2.75rem;
    min-width: 2.75rem;
    height: 1.5rem;
    margin: 0 0 0 1rem;
}

.switcher input {
    display: none;
    position: absolute;
    margin-top: .3rem;
    margin-left: -1.25rem;
    width: 50px;
}

.switcher .switcher-slider {
    background-color: var(--text-100);
    border: none;
    border-radius: 50em;
    font-size: 12px;
    position: relative;
    display: block;
    height: inherit;
    cursor: pointer;
    transition: .15s ease-out;
}

.switcher input:checked+.switcher-slider {
    background-color: var(--primary-600);
    border-color: var(--primary-600);
}

.switcher .switcher-slider:before {
    width: 20px;
    height: 20px;
    top: 2px;
    border-radius: 100%;
    position: absolute;
    left: 2px;
    box-sizing: border-box;
    content: "";
    background-color: var(--white);
    border: 1px solid var(--text-100);
    transition: .15s ease-out;
    box-shadow: 0px 2px 4px rgba(0,0,0,.05);
}

.switcher input:checked+.switcher-slider::before {
    border-color: var(--primary-600);
}
.switcher input:checked~.switcher-slider::before {
    transform: translateX(19px);
}

.switcher-container.withBorder {
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--text-100);
}
.switcher-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
}

.switcher-container.withBorder:last-child {
    border-bottom: none;
    margin-bottom: 0;
    padding-bottom: 0;
}

.store-detail-div {
    padding: 0.75rem 0.4rem;
    border-bottom: 1px solid var(--text-100);
    min-height: 70px;
}
.store-detail-div:last-child {
   padding-bottom: 0;
    border-bottom: none;
   
}

.store-title {
    margin-bottom: .40rem;
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: var(--text-500);
    display: flex;
    align-items: center;
}

.store-subtitle {
    margin-bottom: .40rem;
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 17px;
    color: var(--text-600);
    display: flex;
    align-items: center;
}

.domain-tb-header {
    padding: 1rem 0.6rem;
    background-color: var(--text-50);
    border-bottom: 1px solid var(--text-100);
    white-space: nowrap;
    width: 100%;
}

.domain-tb-body {
    padding: 1rem 0.6rem;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.dom-header-title:nth-child(1) {
    width: 55%;
    min-width: 180px;
}
.dom-header-title:nth-child(2) {
    width: 15%;
    min-width: 100px;
}
.dom-header-title:nth-child(3) {
    width: 15%;
    min-width: 100px;
}
.dom-header-title:nth-child(4) {
    width: 15%;
    min-width: 100px;
}

.domain-del-btn {
    opacity: 0;
}

.domain-link:hover .domain-del-btn {
    opacity: 1;
}

.payment-img-wrapper {
    width: 60px;
    height: 60px;
    aspect-ratio: 1;
    border: 1px solid var(--text-100);
    border-radius: 0.4rem;
    overflow: hidden;
    flex-shrink: 0;
    padding: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.payement-icon {
    width: 60px;
    height: 60px;
    object-fit: contain;
    max-width: 100%;
}

.payment-providers-list {
    border: 1px solid var(--text-100);
    padding: 10px;
    border-radius: 1rem;
}

.pay-provider-item {
    padding: 10px ;
    border-bottom: 1px solid var(--text-100);
}

.pay-provider-item:last-child {
    border-bottom: none;
}

.standard-info-title {
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 1.6;
    color: var(--text-600);
    margin-bottom: 1rem;
    
}

.pay-modal-info {
    width: 90%;
    margin: 0 auto;
    padding: 0.6rem 0.4rem;
    background-color: var(--secondary-100);
    text-align: center;
    margin-bottom: 15px;
}

.percent-icon {
    right: 10px;
    top: 12%;
}

.seo-share-div {
    padding: 8px;
    border: 1px solid var(--text-100);
    border-radius: 0.6rem;
}


.seo-homepage-title {
    margin-bottom: 10px;
    font-size: 24px;
    font-weight: 500;
    color: var(--text-700);
}

.seo-meta-desc {
    font-weight: 500;
    font-size: 15px;
    color: var(--text-400);
}

.seo-sitemap-link {
    padding: 0.5rem 0.6rem;
    background-color: var(--text-50);
    width: 100%;
    color: var(--accent-600);
}

.seo-sitemap-link >a {
    color: var(--accent-600);
}

.social-icon-svg {
    top: 18%;
    left: 5px;
}

.rupee-icon {
    top: 8px;
    left: 8px;
}

.var-amount-header, .var-amount-body-input {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 20px;
}

.var-amount-header >label:nth-child(1)  {
    width: 110px;
}
.var-amount-header >label:nth-child(2) {
    width: 110px;
}

.var-amount-header >label:nth-child(3) {
    width: 130px;
    text-align: center;
}

.var-amount-body-input > .input-body-wrap:first-child {
    width: 90px;
}

.input-body-wrap:nth-of-type(2) {
    width: 90px;
}

.var-amount-body-input > .input-body-wrap:last-child {
    width: 110px;
}

.settings-link {
    border-radius: 0.5rem;

}

.settings-link:hover {
    background-color: var(--text-50);
    color: var(--text-900);
}

.settings-close-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1rem;
    border-right: 1px solid var(--text-100);
    cursor: pointer;
}

.settings-mobile-nav {
    position: relative;
    z-index: 9;
    background: var(--white);
    width: 100%;
    border-top: 1px solid var(--text-100);
    top: auto !important;
}

.mobile-nav-current {
    cursor: pointer;
    height: 2.75rem;
    box-shadow: 0 2px 4px -1px rgba(7,14,35,.08);
    display: flex;
    align-items: center;
    padding: 0 1rem;
    justify-content: space-between;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: var(--text-900);
}

.mobile-nav-body {
    width: 100%;
    height: calc(100% - 3.5rem - 1rem);
    overflow: auto;
    background: var(--white);
    display: none;
    z-index: -1;
    position: relative;
    flex-direction: column;
}

.mobile-nav-list-title {
    padding: .75rem 1rem;
    font-weight: 600;
    display: flex;
    color: var(--text-500);
    font-style: normal;
    font-size: 14px;
    line-height: 17px;
    align-items: center;
}

@media (min-width: 768px) {
    .settings-close-btn, .settings-mobile-nav  {
        display: none;
    }
}


@media (max-width: 768px) {
    .active-acc-card {
        width: 100%;
    }

    .settings-sidebar-wrapper {
        display: none;
    }

    .settings-content-wrapper {
        width: 100%;
    }

    .settings-header-logo {
        font-size: 16px;
        line-height: 24px;
        padding-left: 1rem;
    }
    .settings-screen {
        margin-top: 3.5rem;
        margin-bottom: 1rem;
        flex-direction: column;
    }

    .settings-content-subtitle {
        font-size: 12px;
        margin-bottom: 1.2rem;
    }

    .settings-content {
        padding: 1rem;
    }

    .act-staff-mobile {
        font-size: 12px;
    }
    .act-staff-email {
        font-size: 12px;
    }

    .store-price-text {
        font-size: 12px;
    }

    .domain-table-div {
        white-space: nowrap;
        overflow: hidden;
        overflow-x: auto;
        scrollbar-width: none;
    }

    .domain-tb-header { 
        width: fit-content;
    }

    .payment-img-wrapper {
        width: 40px;
        height: 40px;
    }

    .settings-content-title {
        font-size: 13px;
    }

    .seo-store-preview  {
        display: none
    }

    .seo-sitemap-link > a {
        font-size: 12px;
    }
}